#pragma once
#include "../gen/Generated.h"
#include "rendering/Rendering.h"

namespace Tools
{
    bool EntityDataSettings(Gen::SavedEntityRenderData& data);
    bool ModelDropdown(Gen::ModelHandle& modelHandle);
    bool TextureDropdown(Gen::TextureHandle& texHandle);
    bool MaterialDropdown(Gen::EMaterial::Enum& material);
    bool TransformUI(Gen::Transform& transform);
    void RenderDebugUI(Game::GameRendering& rendering);
    void MeasureFrameEnd();
} // namespace Tools
